DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
OFis_same< T0, T1 > Struct Template Reference

Metafunction to determine if two types are identical. More...

## Detailed Description

template<typename T0, typename T1>
struct OFis_same< T0, T1 >

Metafunction to determine if two types are identical.

OFis_same is based on OFintegral_constant and evaluates to OFTrue if two identical types are given, otherwise OFis_same<...>::value equals OFFalse.

See also
  http://en.cppreference.com/w/cpp/types/is_same for details.

Template Parameters

  T0 | The first type to compare.
  T1 | The second type to compare.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftraits.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2